Status: Closed
Assignee:
Affected QGIS version:3.0.0 Regression?: No
Operating System: Windows 10 fully updated Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 26282
Description

I am using QGIS 3.0 desktop on Windows 10 64 bit. Fast broadband connection via a modem.

The supplied XYZ Tile connection OSM does work.

However | cannot get newly created connections to display maps.

| have tried adding new XYZ Tiles connections by right clicking on the XYZ Tiles icon and filling in the Name field and the web address

taken from this site:
https://wiki.openstreetmap.org/wiki/Tile_servers and | have removed the $ placeholder from the string.

To date only one Connections works which is Stamen Toner. The others do not display any maps.
| have also consulted the http://www.thunderforest.com/maps/landscape/ website and obtained an api key from here and used the

website address for their maps eg. https:/{s}.tile.thunderforest.com/landscape/{z}/{x}/{y}.png?apikey=&amp;lt;insert-your-apikey-here>

but these do not display anything either.

Is the Name field specific syntax or something? | cannot think what else could be wrong with these connections. Even the Wikipedia one
does not work.

History

#1 - 2018-03-08 08:55 PM - Richard Duivenvoorde

- File Selection_327.png added

Hi,

In the browser, create a new connection as in screendump:

Some examples worked with me here:

OpenStreetMap:  http:/a.tile.openstreetmap.org/{z}/{x}/{y}.png

ArcgisWorldTopo: http:/server.arcgisonline.com/ArcGlIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}.png

ArcgisWorldlmagery: http:/server.arcgisonline.com/ArcGlS/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x}.png

Google Satellite: https://mt1.google.com/vt/lyrs=s&#38;x={x}&#38;y={y}&#38;z={z}

Google Terrain:  https://mt1.google.com/vt/lyrs=p&#38;x={x}&#38;y={y}&#38;z={z}
What is the url of your not working OSM layer?

No proxy or whatsoever?

#2 - 2018-03-08 11:04 PM - Hugh Davie

Ok Tried all of your links and they worked first time. So had a look at the syntax of the expressions and what | am using is this:

http://*{s}*.tile.thunderforest.com/outdoors/{z}/{x}/{y}.png?apikey=c..................

which does not work but if you specify a particular server:

http://*a* tile.thunderforest.com/outdoors/{z}/{x}/{y}.png?apikey=c...................

it does work. The second issue | found was that they was a stray blank space at the end of the expression and removing that also repaired some of the
connections.

So have altered all the expressions and they now all work except for two:

which are Vector Tiles (see: http://thunderforest.com/docs/vector-maps-api/) so should they be going into the XYZ Tiles section or somewhere else?

https://tile.thunderforest.com/thunderforest.outdoors-v1.json?apikey={apikey}

https://tile.thunderforest.com/thunderforest.transport-v1.json?apikey={apikey}

Thanks for your prompt answer

#3 - 2018-03-09 11:47 AM - Giovanni Manghi

Thanks for your prompt answer

as far as | know QGIS does not support vector tiles servers.

#4 - 2018-03-09 01:13 PM - Richard Duivenvoorde

Nope, not Vector Tiles yet in QGIS3. But in QGIS 2.18 there is a plugin for that:
http://plugins.qgis.org/plugins/vector_tiles_reader/

You could try that one

#5 - 2018-03-09 03:18 PM - Hugh Davie

- Status changed from Open to Closed

Richard Duivenvoorde wrote:

Nope, not Vector Tiles yet in QGIS3. But in QGIS 2.18 there is a plugin for that:
http.//plugins.qgis.org/plugins/vector tiles _reader/

You could try that one
No it does not seem to work.
Thank you for all your help

)

#6 - 2018-03-09 03:20 PM - Giovanni Manghi
- Resolution set to invalid
